=== debian/changelog ===
ros-noetic-l3cam-ros (0.0.3-2focal) focal; urgency=high

  * Added allied Wide and Narrow cameras
  * Implemented default parameters
  * Bug fixes
  * Disable dynamic network configuration
  * Contributors: Adrià Subirana

 -- Adrià Subirana <adria.subi@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-noetic-l3cam-ros (0.0.2-2focal) focal; urgency=high

  * Args for launch files
  * Licenses
  * README
  * Library externalization
  * Contributors: Adrià Subirana

 -- Adrià Subirana <adria.subi@gmail.com>  Sun, 05 Feb 2023 23:00:00 -0000

ros-noetic-l3cam-ros (0.0.1-2focal) focal; urgency=high

  * changelog
  * gitignore
  * first commit
  * Contributors: Adrià Subirana

 -- Adrià Subirana <adria.subi@gmail.com>  Sun, 15 Jan 2023 23:00:00 -0000
